Bug 12291 - source3/lib/msghdr.c, line 208: syntax error before or at: ;
source3/lib/msghdr.c, line 208: syntax error before or at: ;
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.6
Sparc IRIX
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-27 15:44 UTC by Tom Schulz
Modified: 2016-10-25 07:45 UTC (History)
2 users (show)

See Also:


Attachments
Patch from master (1.04 KB, patch)
2016-09-30 14:30 UTC, Volker Lendecke
jra: review+
Details
git-am fix for 4.4.next. (911 bytes, patch)
2016-10-21 21:40 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2016-09-27 15:44:14 UTC
Trying to build Samba 4.4.6 on a Solaris 10 Sparc box with the Sun C 5.13 SunOS_sparc compiler. The build fails with:

"../source3/lib/msghdr.c", line 208: syntax error before or at: ;

The offending line of code is:

                msg->msg = (struct msghdr) {};

I have sucessfully built Samba 4.4.6 on a Solaris 10 i386 box with the gcc compiler, so this is something that gcc understands but the Sun C compiler does not.
Comment 1 Volker Lendecke 2016-09-27 17:20:37 UTC
Replace {} with {0}. I've got a patch in the master autobuild, but that should help you.
Comment 2 Tom Schulz 2016-09-28 01:48:25 UTC
That fixes it. I just checked and Samba 4.5.0 will have the same problem.
Comment 3 Volker Lendecke 2016-09-30 14:30:56 UTC
Created attachment 12522 [details]
Patch from master
Comment 4 Jeremy Allison 2016-10-03 18:35:44 UTC
Comment on attachment 12522 [details]
Patch from master

LGTM.
Comment 5 Jeremy Allison 2016-10-03 18:39:14 UTC
Karolin please cherry-pick for 4.5.next !

Thanks !

Jeremy.
Comment 6 Karolin Seeger 2016-10-19 07:52:18 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autobuild-v4-5-test.
Comment 7 Tom Schulz 2016-10-19 13:56:03 UTC
Has this made it into 4.4.next?
Comment 8 Volker Lendecke 2016-10-19 14:10:39 UTC
(In reply to Tom Schulz from comment #7)
> Has this made it into 4.4.next?

No.
Comment 9 Tom Schulz 2016-10-21 17:40:39 UTC
Hopefully we can get this into 4.4.nextnext. Is there anything I can do to help?
Comment 10 Jeremy Allison 2016-10-21 21:40:44 UTC
Created attachment 12596 [details]
git-am fix for 4.4.next.

Back-ported from master to 4.4.next.
Comment 11 Karolin Seeger 2016-10-24 07:27:47 UTC
(In reply to Jeremy Allison from comment #10)
Pushed to autobuild-v4-4-test (even it's already closed, autobuild failed anyway...).
Comment 12 Karolin Seeger 2016-10-25 07:45:21 UTC
(In reply to Karolin Seeger from comment #11)
Pushed to v4-4-test.
Closing out bug report.

Thanks!